nixp.ru v3.0

18 октября 2017,
среда,
10:45:02 MSK

DevOps с компанией «Флант»
BaBaypasya написал 11 ноября 2005 года в 14:26 (278 просмотров) Ведет себя неопределенно; открыл 3 темы в форуме, оставил 5 комментариев на сайте.

При конфигурации ПО, возникает ошибка с Qt. Установленая версия Qt — 3 в полном обьеме (естественно который имелся на DvD), но всеже софт ругаеться и говорит что много нужных компонентов не проинсталено. Установил Qt версии 4, и вдруг все становиться нормально, аж до момента checking Qt ;) где вежливо заявляеться единственное — /lib/libqt* не существует, сразу после чего проходит в каталог /usr/lib/ и там уже все в порядке! что ж мне делать?

fly4life

Гм, так у тебя «всё в порядке» или всё-таки нет?! Если в порядке, то, вероятно, работать =).

Если нет, то расскажи, в чём конкретно проблема? Что не работает-то?

BaBaypasya

В том и проблема что не хочет компилить приложение изза отсутсвия «мач компонентс» Qt

fly4life

А мы должны на астральном уровне догадаться, какое приложение не собирается и какую ошибку выводит при сборке? ;)

Только ошибку надо приводить дословно, а не твой вольный перевод на эту тему. Причём также надо показать, что вывелось несколькими строчками выше ошибки.

Dr. Evil

да! или, если есть, приведи последние строки из файла config.log (или что-то подобное)

BaBaypasya

checking for Qt… yes:

QT_CXXFLAGS=-I/usr/lib/qt3/include

QT_DIR=/usr/lib/qt3

QT_LIBS=-L/usr/lib/qt3/lib -lqt-mt -lSM -lICE -L/usr/X11R6/lib64 -lX11 -lXext -lXmu -lXt -lXi

QT_UIC=/usr/lib/qt3/bin/uic

QT_MOC=/usr/lib/qt3/bin/moc

checking correct functioning of Qt installation… failure

fly4life

Не, ну а программа-то как называется?! И версия какая?

Может ей Qt3 не подходит, а ты мучаешься.. Посмотри, что там написано по поводу Qt в README и прочих INSTALL файлах в директории с исходниками устанавливаемой программы.

Кстати, RPM-пакет не пробовал искать для неё?

BaBaypasya

компилю VypressChat 0.27, в том и проблема что я и 3 и 4 Qt пытался (

Рпмки похоже нема на нее